org.h2.expression.analysis

## Enum WindowFunctionType

- java.lang.Object
- - java.lang.Enum<WindowFunctionType>
  - - org.h2.expression.analysis.WindowFunctionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WindowFunctionType>

    public enum WindowFunctionType
    extends java.lang.Enum<WindowFunctionType>

A type of a window function.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CUME_DIST` The type for CUME_DIST() window function.
`DENSE_RANK` The type for DENSE_RANK() window function.
`FIRST_VALUE` The type for FIRST_VALUE() window function.
`LAG` The type for LAG() window function.
`LAST_VALUE` The type for LAST_VALUE() window function.
`LEAD` The type for LEAD() window function.
`NTH_VALUE` The type for NTH_VALUE() window function.
`NTILE` The type for NTILE() window function.
`PERCENT_RANK` The type for PERCENT_RANK() window function.
`RANK` The type for RANK() window function.
`RATIO_TO_REPORT` The type for RATIO_TO_REPORT() window function.
`ROW_NUMBER` The type for ROW_NUMBER() window function.

### Method Summary

Methods
`static WindowFunctionType` `get(java.lang.String name)` Returns the type of window function with the specified name, or null.
`java.lang.String` `getSQL()` Returns SQL representation.
`static WindowFunctionType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WindowFunctionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ROW_NUMBER

    public static final WindowFunctionType ROW_NUMBER

The type for ROW_NUMBER() window function.

#### RANK

    public static final WindowFunctionType RANK

The type for RANK() window function.

#### DENSE_RANK

    public static final WindowFunctionType DENSE_RANK

The type for DENSE_RANK() window function.

#### PERCENT_RANK

    public static final WindowFunctionType PERCENT_RANK

The type for PERCENT_RANK() window function.

#### CUME_DIST

    public static final WindowFunctionType CUME_DIST

The type for CUME_DIST() window function.

#### NTILE

    public static final WindowFunctionType NTILE

The type for NTILE() window function.

#### LEAD

    public static final WindowFunctionType LEAD

The type for LEAD() window function.

#### LAG

    public static final WindowFunctionType LAG

The type for LAG() window function.

#### FIRST_VALUE

    public static final WindowFunctionType FIRST_VALUE

The type for FIRST_VALUE() window function.

#### LAST_VALUE

    public static final WindowFunctionType LAST_VALUE

The type for LAST_VALUE() window function.

#### NTH_VALUE

    public static final WindowFunctionType NTH_VALUE

The type for NTH_VALUE() window function.

#### RATIO_TO_REPORT

    public static final WindowFunctionType RATIO_TO_REPORT

The type for RATIO_TO_REPORT() window function.

### Method Detail

#### values

    public static WindowFunctionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WindowFunctionType c : WindowFunctionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WindowFunctionType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static WindowFunctionType get(java.lang.String name)

Returns the type of window function with the specified name, or null.

Parameters:
  `name` - name of a window function
Returns:
  the type of window function, or null.

#### getSQL

    public java.lang.String getSQL()

Returns SQL representation.

Returns:
  SQL representation.
See Also:
  `Expression.getSQL()`